• 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from MrLavender
    I have the same problem :(


    The file I am changing, on my computer, lives in:

    C:\Users\myname\WUU

    Is that the one you are changing?
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from shdwphnx
    Looks like WoWInterface has changed their layout and broken the existing site RegExp. I got it working again by changing the SITE_RE.TXT file. Specifically, I replaced...
    wowi_version  Date:.+?"smallfont">(\d{2})-(\d{2})-(\d{4})\s(\d{2}):(\d{2})\s(\w{2})

    with...
    wowi_version Updated:.+?"alt2">(\d{2})-(\d{2})-(\d{4})\s(\d{2}):(\d{2})\s(\w{2})



    Thank you, worked perfect for me.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from lejordet2
    There was an error in the regexp - or more precisely; the regexp didn't fit the code we used it in, so I had to complicate the regexp to avoid pushing a new WUU version.

    Please test if it works now :) (it did here, at least)


    wowace updates, but for whatever reason the "Local ver." column doesn't update.

    Just noticed it today when all the new version updates starting coming in. PitBull4 changed versions on the online version column, and the update happened, but the local version column never changed.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from kataract
    When packaging/editing the files, could you guys keep the CR/LF (aka DOS linefeed) as pure LF (aka Unix'ish, etc.).


    Look at tools-preferences, then on the right side, turn on "Preserve newlines as-is" see if that doesn't fix your issue.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from lejordet2
    It was a single-character change in the regexp for WoWAce, and it looks like Jncl beat me to it :P

    I've pushed the new site_re.txt to the server, so it should fix all problems now (there were some other fixes by Jncl, I'll add those in the next release)


    It didn't fix wowace for me, am I alone in this? I checked, and the site_re.txt has the changes in it.

    If so, let me know, I can blow off my setup. Setting up all these addons in WUU again is a new fun hobby for me anyway :).
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    New version 1.9.673 comments.

    Good!
    1. Seems to work just fine for me!

    Bad.
    1. AutoUpdate fails, pointer on server not moved? Log: 2009-07-12 11:21:28: (WARN) Online version of WUU: 1.9.666
    2. This in the log:
    2009-07-12 11:21:28: (ERROR) Checking of version failed - assuming update needed (Reason: [Errno 2] No such file or directory: 'C:\\Users\\dave\\WUU\\reversion.txt')
    and
    2009-07-12 11:21:28: (ERROR) Checking of version failed - assuming update needed (Reason: [Errno 2] No such file or directory: 'C:\\Users\\dave\\WUU\\templateversion.txt')


    Comment, I have over time and versions not messed with the folder "\users\dave\WUU" at all until today. I found that todays version didn't update something (wowace still didn't work) so I blew off that folder completely and had the program re-populate it. Fixed wowace again. So, occasionally removing the folder with the variable data might be a good thing for long time users. Might also explain the errors above in the logs :)
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    New today, worked last night:

    2009-07-09 11:37:35: (WARN) Could not find LilSparkysWorkshop download info on page - is site ID correct?
    2009-07-09 11:37:42: (WARN) Could not find Quartz download info on page - is site ID correct?
    2009-07-09 11:37:44: (WARN) Could not find SimpleUnitFrames download info on page - is site ID correct?
    2009-07-09 11:37:46: (WARN) Could not find Skillet download info on page - is site ID correct?

    Argh.

    All Wowace stuff.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Quote from lejordet2


    Feature: Added s upport for WoWAce clone repositories
    • Feature fix: Improved identificaton of downloaded files



    I find the "wowaceclone" feature to be working great, thanks!

    But now I do get a new error, in the log, never seen before:
    2009-07-02 11:22:28: (WARN) Can't get a readable date for Gatherer out of the page: need more than 5 values to unpack (('Gatherer/Gatherer-3.1.13.zip', 'Gatherer-3.1.13.zip', '2009', '04', '16'))

    My response to the other problem above, what I do is right click and hit the link for "open download page" it usually tells me what I am doing wrong. Shows lots of bad links that way.

    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater 1.9 Thread (Windows/OSX/Linux, multiple sites)
    Have a question, I hope that someone can answer.

    I use an addon named "skillet" but its "dead." See it at http://www.wowace.com/projects/skillet/

    BUT!

    there is a repository of a spin off at
    http://www.wowace.com/projects/skillet/repositories/lilsparkys-clone/files/
    that isn't.

    So, how do I tell WUU to get that version? Is there a way?
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Quote from lejordet2
    A question, since I forgot: Can anyone confirm that installing the VC++ 2008 redistributable actually makes WUU .605 run on a computer that previously couldn't? I would assume it does, but nobody has stated it explicitly ;)


    My unscientific tests show that Vista 32-bit and XP-32 bit require the VC++ download, but Vista 64-bit is happy just with the WUU download.

    Don't have an XP-64 to test.

    Strange stuff this Microsoft stuff sometimes.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    1. Auctioneer people dont suggest using the regular version of Auctioneer, stick with the newest version.

    2. Latest versions, both .604 and .605 will not run on my Vista box. I get an error screen that's new to me:
    The application has failed to start because its side-by-side configuration is incorrect. Please see the application event log for more detail.
    Application Log: Activation context generation failed for "C:\wuu\WUU.exe". Dependent Assembly Microsoft.VC90.CRT,processorArchitecture="x86",publicKeyToken="1fc8b3b9a1e18e3b",type="win32",version="9.0.21022.8" could not be found. Please use sxstrace.exe for detailed diagnosis.


    Hope this helps
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Auctioneer is getting silly again.

    The dl version that WUU tries to get is the 5.1.3715 series, but we need to use the 5.1.3867 series.

    The DL link is blah/blah/packages52/ instead of the old packages3.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Quote from Lauchsuppe
    Deadly Boss Mods - DBM

    Hello,
    i'm not able to get DBM update working with WoW UI Updater. Can someone give me the correct settings?
    Regards Suppe

    edit: I just switched to WoWi das source..


    I show (right click DBM-Core then edit)

    Friendly Name: DBM-Core
    Source Site: CurseGaming
    Site ID: deadly-boss-mods

    Tagged the rest of the DBM files as related to this one.
    Working fine for now.
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Quote from orcdork
    BTW, the link pointing to this thread from http://wuu.vagabonds.info/links.php are broken since they made all the forum changes here.


    Yes yes, please since I am so lazy, fix the link to this forum! It takes me 2 more clicks to get here!

    http://forums.wowace.com/showthread.php?t=9276

    Thanks for your concern and time in fixing this important issue! ;D
    Posted in: Updaters
  • 0

    posted a message on WoW UI Updater (Win/OSX/Linux, supports multiple sites), 1.6 thread
    Quote from lejordet2
    I'm on the case! :D

    WUU 1.8.598 win32
    WUU 1.8.598 source/linux

    2699de5918f2943bdcc0bf78867c635e *WUU-1.8.598.zip
    ec02044710af0e36e2d6b717749e3c3b *WUU-1.8.598-src.zip




    1.8.598 (2008.10.16):
    • Site fix: AuctioneerAddon
    • Bug fix: Crash on some HTTP errors blocked all updating
    This should get things somewhat back on track. Same deal as last time; OSX should auto-update. (It's just hell of a lot more convenient to do these mini-releases right now, I'll do a full release when things settle down)


    Sorry, but AuctioneerAddon still fails.

    Log:
    2008-10-17 09:54:47: (INFO) Trying to identify all selected addons
    2008-10-17 09:54:47: (INFO) Addon Auc-Advanced identified as Auctioneer/AuctioneerAdvancedSuite
    2008-10-17 09:54:49: (WARN) Could not find Auc-Advanced update date on page - is site ID correct?
    2008-10-17 09:55:23: (WARN) Could not find Auc-Advanced update date on page - is site ID correct?

    I made the addon "unknown" and then identified it, it failed, then I changed it to "AuctioneerAdvanced" and tried it again, still failed.

    Not complaining, just letting you know what I see.


    Additional Reading and I fixed it for myself:

    open "\Documents and Settings\xxxxx\WUU\site_re.txt and fix the line
    auct_version2 href="\?dl=Packages/(%s-([0-9a-zA-Z\.]+?\.zip))">.+?(\d{4})-(\d{2})-(\d{2})
    to
    auct_version2 href="\?dl=Packages3/(%s-([0-9a-zA-Z\.]+?\.zip))">.+?(\d{4})-(\d{2})-(\d{2})

    exit WUU and reload, it gets todays update just fine

    Posted in: Updaters
  • To post a comment, please or register a new account.